<app-title-page></app-title-page>
<div class="default-card">
  <div style="text-align:center">
    <nz-avatar [nzSize]="96" nzIcon="user"></nz-avatar>
    <h3>Anh Tuấn</h3>
    <p><span>97lynk@gmail.com</span> | <a href="#">Edit</a></p>
  </div>
  <nz-card class="w-100" [nzBordered]="false">
    <nz-card-tab>
      <nz-tabset nzSize="large" [nzSelectedIndex]="0" [nzTabBarStyle]="{'text-align': 'center'}">
        <nz-tab nzTitle="Activity">
          <nz-card [nzBordered]="false" nzTitle="Most Recently Activity">
            <nz-timeline>
              <nz-timeline-item nzColor="green">Create a services site 2015-09-01</nz-timeline-item>
              <nz-timeline-item nzColor="green">Solve initial network problems 2015-09-01</nz-timeline-item>
              <nz-timeline-item nzColor="red">
                <p>Solve initial network problems 1</p>
                <p>Solve initial network problems 2</p>
                <p>Solve initial network problems 3 2015-09-01</p>
              </nz-timeline-item>
              <nz-timeline-item>
                <p>Technical testing 1</p>
                <p>Technical testing 2</p>
                <p>Technical testing 3 2015-09-01</p>
              </nz-timeline-item>
            </nz-timeline>
          </nz-card>
        </nz-tab>

        <nz-tab nzTitle="Posts">
          <nz-list
            [nzDataSource]="data"
            [nzItemLayout]="'vertical'"
            [nzRenderItem]="item"
            [nzPagination]="pagination"
            [nzFooter]="footer"
          >
            <ng-template #item let-item>
              <nz-list-item [nzContent]="item.content" [nzActions]="[starAction, likeAction, msgAction]"
                            [nzExtra]="extra">
                <ng-template #starAction><i nz-icon type="star-o" style="margin-right: 8px;"></i> 156</ng-template>
                <ng-template #likeAction><i nz-icon type="like-o" style="margin-right: 8px;"></i> 156</ng-template>
                <ng-template #msgAction><i nz-icon type="message" style="margin-right: 8px;"></i> 2</ng-template>
                <nz-list-item-meta [nzAvatar]="item.avatar" [nzTitle]="nzTitle" [nzDescription]="item.description">
                  <ng-template #nzTitle
                  ><a href="{{ item.href }}">{{ item.title }}</a></ng-template
                  >
                </nz-list-item-meta>
                <ng-template #extra>
                  <img width="272" alt="logo"
                       src="https://gw.alipayobjects.com/zos/rmsportal/mqaQswcyDLcXyDKnZfES.png"/>
                </ng-template>
              </nz-list-item>
            </ng-template>
            <ng-template #footer>
              <div><b>ant design</b> footer part</div>
            </ng-template>
            <ng-template #pagination>
              <nz-pagination [nzPageIndex]="1" [nzTotal]="50" (nzPageIndexChange)="loadData($event)"></nz-pagination>
            </ng-template>
          </nz-list>
        </nz-tab>

        <nz-tab nzTitle="Comments">
          <nz-list [nzDataSource]="data1" [nzRenderItem]="item1" [nzItemLayout]="'horizontal'">
            <ng-template #item1 let-item>
              <nz-list-item>
                <nz-list-item-meta
                  [nzTitle]="nzTitle1"
                  nzAvatar="https://zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png"
                  nzDescription="Ant Design, a design language for background applications, is refined by Ant UED Team"
                >
                  <ng-template #nzTitle1>
                    <a href="https://ng.ant.design">{{ item1.title }}</a>
                  </ng-template>
                </nz-list-item-meta>
              </nz-list-item>
            </ng-template>
          </nz-list>
        </nz-tab>
      </nz-tabset>
    </nz-card-tab>
  </nz-card>
</div>
